Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.server.triplestore
Class Package

    java.lang.Object
      edu.stanford.smi.protegex.owl.server.triplestore.Package

All Implemented Interfaces:
  edu.stanford.smi.protege.model.Localizable, Serializable

    public class Package

extends Object
implements edu.stanford.smi.protege.model.Localizable, Serializable

See Also:
  Serialized Form

Constructor Summary
`Package(List<edu.stanford.smi.protege.server.narrowframestore.RemoteServerNarrowFrameStore> frameStores, List<NamespaceManager> namespaceManagers, List<String> tripleStoreNames, String activeTripleStore, String systemTripleStore)`

Method Summary
`String` | `getActiveTripleStore()`
`List<edu.stanford.smi.protege.server.narrowframestore.RemoteServerNarrowFrameStore>` | `getFrameStores()`
`List<NamespaceManager>` | `getNamespaceManagers()`
`String` | `getSystemTripleStore()`
`List<String>` | `getTripleStoreNames()`
`void` | `localize(edu.stanford.smi.protege.model.KnowledgeBase kb)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Package

    public Package(List<edu.stanford.smi.protege.server.narrowframestore.RemoteServerNarrowFrameStore> frameStores,
                   List<NamespaceManager> namespaceManagers,
                   List<String> tripleStoreNames,
                   String activeTripleStore,
                   String systemTripleStore)

Method Detail

### getFrameStores

    public List<edu.stanford.smi.protege.server.narrowframestore.RemoteServerNarrowFrameStore> getFrameStores()

### getNamespaceManagers

    public List<NamespaceManager> getNamespaceManagers()

### getTripleStoreNames

    public List<String> getTripleStoreNames()

### getActiveTripleStore

    public String getActiveTripleStore()

### getSystemTripleStore

    public String getSystemTripleStore()

### localize

    public void localize(edu.stanford.smi.protege.model.KnowledgeBase kb)

  Specified by:
    `localize` in interface `edu.stanford.smi.protege.model.Localizable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.